<template>
  <view>
    <cu-custom bgColor="bg-gradual-blueness" :isBack="true" :isRingt="true">
      <block slot="backText">返回</block>
      <block slot="content">受限空间作业气体检测</block>
      <block slot="right">
        <view v-if="!isShow" @click="$noMultipleClicks(goToAdd)">添加</view>
      </block>
    </cu-custom>

    <scroll-view class="dy-scroll" @scrolltolower="scrolltolower" scroll-y
                 :style="'top:'+sTop+'px;height:calc(100vh - '+totalHeight+'px)'">
      <view v-if="list.length>0">
        <view class="dy-list">
          <view v-for="(item,index) of list" :key="index" :data-id="item.CONFINEDSPACEGAS_ID" class="dy-list-item p20">
            <view class="dy-subtitle-flex">
              <text>分析时间:{{item.ANALYZE_TIME}}</text>
              <text>分析部位:{{item.ANALYZE_PART}}</text>
            </view>
            <view class="dy-subtitle-flex" v-if="(GAS_NAME1 && item.DATA1) || (GAS_NAME2 && item.DATA2)">
              <text v-if="GAS_NAME1 && item.DATA1">{{ GAS_NAME1 }}：{{item.DATA1}}</text>
              <text v-if="GAS_NAME2 && item.DATA2">{{ GAS_NAME2 }}：{{item.DATA2}}</text>
            </view>
            <view class="dy-subtitle-flex" v-if="(GAS_NAME3 && item.DATA3) || (GAS_NAME4 && item.DATA4)">
              <text v-if="GAS_NAME3 && item.DATA3">{{ GAS_NAME3 }}：{{item.DATA3}}</text>
              <text v-if="GAS_NAME4 && item.DATA4">{{ GAS_NAME4 }}：{{item.DATA4}}</text>
            </view>
            <view class="dy-subtitle-flex">
              <text>含氧量：{{item.OXYGEN_CONTENT}}</text>
              <text v-if="item.ANALYZE_PLACE">分析地点:{{item.ANALYZE_PLACE}}</text>
            </view>
            <view class="dy-subtitle-flex" style="height: 34upx;">
              <text>分析人：{{item.ANALYZE_USER}}</text>
              <view v-for="(SIGN_PATH) in item.SIGN_PATH.split(',')"
                    style="width: 100upx; height: 50upx; margin: 10upx;margin-top: 0upx;margin-bottom: 2upx;">
                <image :src="baseImgPath + item.SIGN_PATH" mode="aspectFill"
                       @click="ViewShowImage(baseImgPath + item.SIGN_PATH)" style="height: 100%;"></image>
              </view>
              <text v-if="!isShow">
                <button class="cu-btn bg-red margin-tb-sm sm"
                        @click="$noMultipleClicks(handleDelete,item.CONFINEDSPACEGAS_ID)">删除
                </button>
              </text>
            </view>
          </view>
        </view>
      </view>
      <view v-else-if="dataFlag=='noData'" class="dy-null">
        <view class="dy-null-img">
          <image :src="background[dataFlag].url" mode=""></image>
        </view>
        <view class="dy-null-title">
          {{background[dataFlag].msg}}
        </view>
      </view>
      <view class="cu-tabbar-height"></view>
    </scroll-view>
  </view>
</template>

<script>
import {
  basePath, corpinfoId, loginSession, formatDate, loginUser, baseImgPath
} from '@/common/tool.js';
import tkiTree from "@/components/select-tree/select-tree.vue"

export default {
  components: {
    tkiTree
  },
  data() {
    return {
      baseImgPath: baseImgPath,
      noClick: true,
      showRight: false,
      dataFlag: 'noData',
      isShow: '',
      sTop: 0,
      totalHeight: 0,
      list: [],//返回数据
      CONFINEDSPACE_ID: '',
      GAS_NAME1: '',
      GAS_NAME2: '',
      GAS_NAME3: '',
      GAS_NAME4: '',
    }
  },
  onReady() {
    let that = this;
    let CustomBar = this.CustomBar;
    uni.getSystemInfo({ //调用uni-app接口获取屏幕高度
      success(res) { //成功回调函数
        let titleH = uni.createSelectorQuery().select(".top-fixed"); //想要获取高度的元素名（class/id）
        titleH.boundingClientRect(data => {
          that._data.sTop = data.height  //计算高度：元素高度=窗口高度-元素距离顶部的距离（data.top）
          that.totalHeight = data.height + CustomBar
        }).exec()
      }
    })
  },
  onLoad(event) {//页面第一次加载时触发，从跳转页面返回时不能触发，可以传递参
    this.CONFINEDSPACE_ID = event.CONFINEDSPACE_ID;
    this.GAS_NAME1 = event.GAS_NAME1;
    this.GAS_NAME2 = event.GAS_NAME2;
    this.GAS_NAME3 = event.GAS_NAME3;
    this.GAS_NAME4 = event.GAS_NAME4;
    this.isShow = event.isShow == 'true';
  },
  onShow() {
    //页面显示或从后台跳回小程序时显示此页面时触发，从跳转页面返回时触发，不能传递参数
    var _this = this;
    _this.background = require('@/common/background.json');
    _this.list = [];
    _this.getData();
    loginSession();
  },

  filters: {
    formatDate(time) {
      let date = new Date(time)
      return formatDate(date, 'yyyy-MM-dd')
    }
  },
  methods: {
    //跳转事件
    goToAdd() {
      uni.navigateTo({
        url: '/pages/application/confinedspace/confinedspace-gas/gas-detail?CONFINEDSPACE_ID=' + this.CONFINEDSPACE_ID + '&GAS_NAME1=' + (this.GAS_NAME1 || '') + '&GAS_NAME2=' + (this.GAS_NAME2 || '') + '&GAS_NAME3=' + (this.GAS_NAME3 || '') + '&GAS_NAME4=' + (this.GAS_NAME4 || '')
      });
    },
    ViewShowImage(url) {
      let files = [];
      files.push(url)
      uni.previewImage({
        urls: files,
        current: 0
      });
    },
    getQuery() {	//搜索按钮事件
      var _this = this;
      _this.list = [];
      _this.getData();
    },
    getData() {
      var _this = this;
      uni.showLoading({
        title: "加载中..."
      });//加载中动画
      uni.request({
        url: basePath + '/app/confinedspace/gas/list',
        method: 'POST',
        dataType: 'json',
        header: {
          'Content-type': 'application/x-www-form-urlencoded'
        },
        data: {
          CONFINEDSPACE_ID: _this.CONFINEDSPACE_ID,
          tm: new Date().getTime(),
          CORPINFO_ID: loginUser.CORPINFO_ID,
          USER_ID: loginUser.USER_ID,
        },
        success: (res) => {
          uni.hideLoading();//结束加载中动画
          if (res.data != null) {
            _this.list = res.data.varList;
          }

        }
      })
    },
    handleDelete(id) {
      var _this = this;
      uni.showModal({
        title: '',
        content: '确定要删除这条记录？',
        cancelColor: "#000000",
        cancelText: '取消',
        confirmText: '确定',
        success: res => {
          if (res.confirm) {
            uni.showLoading({
              title: '处理中'
            })
            uni.request({
              url: basePath + '/app/confinedspace/gas/delete',
              method: 'POST',
              dataType: 'json',
              header: {
                'Content-type': 'application/x-www-form-urlencoded'
              },
              data: {
                CONFINEDSPACEGAS_ID: id,
                CORPINFO_ID: loginUser.CORPINFO_ID,
                USER_ID: loginUser.USER_ID,
              },
              success: (res) => {
                uni.hideLoading();
                uni.showToast({
                  icon: 'none',
                  title: '删除成功',
                  duration: 1500
                });
                _this.getQuery()
              },
              fail: (err) => {
                uni.hideLoading();
                uni.showModal({
                  content: err.errMsg,
                  showCancel: false
                });
              }
            })
          }
        }
      })
    },
  }
}
</script>

<style>
.dy-card {
  background-color: #fff;
  border-radius: 10upx;
  margin: 30upx
}

.dy-card-title {
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid #eee;
  min-height: 80upx;
  line-height: 80upx;
  padding: 0 30upx;
}

.dy-card-content {
  padding: 0upx 30upx 30upx;

}

.dy-card-content-item {
  margin-top: 20upx;
}

.dy-card-content-item .title {
  display: flex;
  align-items: center;
}

.dy-card-content-item .title .l {
  width: 10upx;
  height: 30upx;
  border-radius: 20upx;
  background-color: #666;
  margin-right: 10upx;
}

.dy-card-content-item .content {
  background-color: #F1F1F1;
  padding: 10upx 14upx;
  margin-top: 14upx;
  line-height: 1.6;
}

.dy-card-content-item .name text {
  background-color: #F1F1F1;
  padding: 10upx 14upx;
  margin-top: 14upx;
  line-height: 1.6;
  display: inline-block;
}

.dy-card-foot {
  border-top: 1px solid #eee;
  padding: 30upx;
}
</style>
